net.i2p.client.streaming

## Class SchedulerReceived

- java.lang.Object
- - net.i2p.client.streaming.SchedulerImpl
  - - net.i2p.client.streaming.SchedulerReceived

- All Implemented Interfaces:
    TaskScheduler

       class SchedulerReceived
      extends SchedulerImpl

  Scheduler used after receiving an inbound connection but before we have sent our own SYN.

- - ### Field Summary

    - ### Fields inherited from class net.i2p.client.streaming.SchedulerImpl

      `_context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerReceived(I2PAppContext ctx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Connection con)` Determine whether this scheduler is fit to operate against the given connection
    `void` | `eventOccurred(Connection con)` An event has occurred (timeout, message sent, or message received), so schedule what to do next based on our current state.

    - ### Methods inherited from class net.i2p.client.streaming.SchedulerImpl

      `reschedule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulerReceived

          public SchedulerReceived(I2PAppContext ctx)

  - ### Method Detail

    - #### accept

          public boolean accept(Connection con)

      Description copied from interface: `TaskScheduler`
      Determine whether this scheduler is fit to operate against the given connection

    - #### eventOccurred

          public void eventOccurred(Connection con)

      Description copied from interface: `TaskScheduler`
      An event has occurred (timeout, message sent, or message received), so schedule what to do next based on our current state.